Package fr.gouv.vitam.common.model.export

# Class ExportRequest

java.lang.Object
fr.gouv.vitam.common.model.export.ExportRequest

public class ExportRequest extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `EXPORT_QUERY_FILE_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExportRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ExportRequest`
  `from(DipRequest dipRequest)`
  `static ExportRequest`
  `from(TransferRequest transferRequest)`
  `DataObjectVersions`
  `getDataObjectVersionToExport()`
  `com.fasterxml.jackson.databind.JsonNode`
  `getDslRequest()`
  `ExportRequestParameters`
  `getExportRequestParameters()`
  `ExportType`
  `getExportType()`
  `Long`
  `getMaxSizeThreshold()`
  `String`
  `getSedaVersion()`
  `boolean`
  `isExportWithLogBookLFC()`
  `boolean`
  `isExportWithoutObjects()`
  `boolean`
  `isExportWithTree()`
  `boolean`
  `isUseOriginalFilenames()`
  `void`
  `setDataObjectVersionToExport(DataObjectVersions dataObjectVersionToExport)`
  `void`
  `setDslRequest(com.fasterxml.jackson.databind.JsonNode dslRequest)`
  `void`
  `setExportRequestParameters(ExportRequestParameters exportRequestParameters)`
  `void`
  `setExportType(ExportType exportType)`
  `void`
  `setExportWithLogBookLFC(boolean exportWithLogBookLFC)`
  `void`
  `setExportWithoutObjects(boolean exportWithoutObjects)`
  `void`
  `setExportWithTree(boolean exportWithTree)`
  `void`
  `setMaxSizeThreshold(Long maxSizeThreshold)`
  `void`
  `setSedaVersion(String sedaVersion)`
  `void`
  `setUseOriginalFilenames(boolean useOriginalFilenames)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### EXPORT_QUERY_FILE_NAME

    public static final String EXPORT_QUERY_FILE_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ExportRequest

    public ExportRequest()

- ## Method Details

  - ### from

    public static ExportRequest from(DipRequest dipRequest)

  - ### from

    public static ExportRequest from(TransferRequest transferRequest)

  - ### getDataObjectVersionToExport

    public DataObjectVersions getDataObjectVersionToExport()

  - ### setDataObjectVersionToExport

    public void setDataObjectVersionToExport(DataObjectVersions dataObjectVersionToExport)

  - ### getDslRequest

    public com.fasterxml.jackson.databind.JsonNode getDslRequest()

  - ### setDslRequest

    public void setDslRequest(com.fasterxml.jackson.databind.JsonNode dslRequest)

  - ### getExportType

    public ExportType getExportType()

  - ### setExportType

    public void setExportType(ExportType exportType)

  - ### getExportRequestParameters

    public ExportRequestParameters getExportRequestParameters()

  - ### setExportRequestParameters

    public void setExportRequestParameters(ExportRequestParameters exportRequestParameters)

  - ### isExportWithLogBookLFC

    public boolean isExportWithLogBookLFC()

  - ### setExportWithLogBookLFC

    public void setExportWithLogBookLFC(boolean exportWithLogBookLFC)

  - ### isExportWithoutObjects

    public boolean isExportWithoutObjects()

  - ### setExportWithoutObjects

    public void setExportWithoutObjects(boolean exportWithoutObjects)

  - ### getMaxSizeThreshold

    public Long getMaxSizeThreshold()

  - ### setMaxSizeThreshold

    public void setMaxSizeThreshold(Long maxSizeThreshold)

  - ### getSedaVersion

    public String getSedaVersion()

  - ### setSedaVersion

    public void setSedaVersion(String sedaVersion)

  - ### isUseOriginalFilenames

    public boolean isUseOriginalFilenames()

  - ### setUseOriginalFilenames

    public void setUseOriginalFilenames(boolean useOriginalFilenames)

  - ### isExportWithTree

    public boolean isExportWithTree()

  - ### setExportWithTree

    public void setExportWithTree(boolean exportWithTree)